cat > /root/droits_ibay.sh <<'EOT'
#!/bin/bash 
# Nom du script: /bin/droits_ibay.sh
# Michel-André / michelandre@micronator.org / 2016-04-15_10h34 HAE
# Michel-André / michelandre@micronator.org / 2017-04-03_20h57 HAE
# Michel-André / michelandre@micronator.org / 2017-04-08_14h06 HAE

Usage() { 
  echo -e "\n"
  echo "Ce script doit être roulé par l'usager root." 
  echo -e "\nUsage:\n$0 [Nom_de_l'ibay]" 
  echo -e "\nExemple:\n$0 Primary \n$0 toto\n" 
} 

# Si le nombre d'arguments est différent de 1, affiche l'usage.
if [  $# != 1 ] 
    then
    echo -e "\nArgument invalide\n" 
    # Usage
    exit 1
fi 

# Si l'usager a entré -h ou --help, affiche l'usage
if [[ "$1" == "-h" || "$1" == "--help" ]] ; then
    ## echo "Demande d'aide." 
    Usage
    exit 0
fi

# Affiche un message si l'usager n'est pas root.
if [[ $USER != "root" ]]; then 
    echo "ce script doit être roulé par l'usager root"
    exit 1
fi 

# Est-ce que l'argument pointe vers une i-bay?
if [ ! -d /home/e-smith/files/ibays/$1 ];
  then  # L'argument ne pointe pas vers une i-bay.
    echo -e "\nL'i-bay \"$1\" n'existe pas\n"
    exit 1
  else  # C'est une i-bay,
    # Est-ce l'ibay Primary?
    if [ "$1" == "Primary" ] ; then    # Confirmation de l'i-bay Primary, ajuster droits
      echo -e ""
      defaut=o
      read -p "Vous avez bien spécifié l'i-bay:  \"/home/e-smith/files/ibays/$1\"?  o/n [$defaut]: " REPONSE
      REPONSE=${REPONSE:-$defaut}
      if [[ $REPONSE == "o" || $REPONSE == "oui" || $REPONSE == "O" || $REPONSE == "Oui" ]]
        then  # i-bay Primary confirmée
          ## echo "Les commandes de: Primary"
          ## echo "Toutes les commandes de Primary (suite)"
          cd /home/e-smith/files/ibays/Primary/html/  2>&1
          chown -R admin:shared *  2>&1
          chmod -R g+w wp-content  2>&1
          chmod -R o-rwx *  2>&1
          find wp-content/themes -type d -exec chmod g+s {} \;   2>&1
          echo -e "\n********** Répertoire des thèmes **********"
          ls -als wp-content/themes
          find wp-content/plugins -type d -exec chmod g+s {} \;  2>&1
          echo -e "\n********** Répertoire des extensions **********"
          ls -als wp-content/plugins
          ## Pour l'extension Duplicator
          chmod -R 2770 wp-snapshots  2>&1
          find wp-snapshots/* -type f -exec chmod 640 {} \;   2>&1
          chmod 640 wp-snapshots/.htaccess  2>&1
          echo -e "\n********** Répertoire racine **********"
          ls -als
          exit 0
        else  # i-bay Primary non confirmée
          echo -e "\n********** L'i-bay \"$1\" non confirmée\n"
          exit 0
      fi
    else # Confirmation que c'est une autre i-bay, ajuster les droits
      echo -e ""
      defaut=o
      read -p "Vous avez bien spécifié l'i-bay: \"/home/e-smith/files/ibays/$1\"?  o/n [$defaut]: " REPONSE
      REPONSE=${REPONSE:-$defaut}
      if [[ $REPONSE == "o" || $REPONSE == "oui" || $REPONSE == "O" || $REPONSE == "Oui" ]]
        then # autre i-bay confirmée
        ## echo -e "\nN'est pas Prinary\n"
        ## echo "Les commandes d'une aute i-bay (suite)"
        cd /home/e-smith/files/ibays/$1/html/
        chown -R admin:www *
        chmod -R g+w wp-content  2>&1
        chmod -R o-rwx *  2>&1
        find wp-content/themes -type d -exec chmod g+s {} \;   2>&1
        echo -e "\n********** Répertoire des thèmes **********"
        ls -als wp-content/themes
        find wp-content/plugins -type d -exec chmod g+s {} \;  2>&1
        echo -e "\n********** Répertoire des extensions **********"
        ls -als wp-content/plugins
        ## Pour l'extension Duplicator
        chmod -R 2770 wp-snapshots  2>&1
        find wp-snapshots/* -type f -exec chmod 640 {} \;   2>&1
        chmod 640 wp-snapshots/.htaccess  2>&1
        echo -e "\n********** Répertoire racine **********"
        ls -als
        exit 0
      else   # autre i-bay non confirmée
        echo -e "\n********** L'i-bay \"$1\" non confirmée\n"
        exit 0
      fi
    fi   # aucune i-bay confirmée
fi
echo "Il y a une erreur quelque part !!!"
EOT
